#1458 closed defect (not relevant)

PAR::Packer install fails with dmake error codes 129 and 255

Reported by: manyoki Owned by:
Priority: major Milestone:
Component: not classified yet Version: 0.96
Keywords: Cc:

Description

I tried to install it from the CPAN manager gui, and later also manually.
The install always fails with the these last three lines:

windres: unexpected version string length 68 != 32 + 8
dmake: Error code 129, while making 'ppresource.coff'
dmake.exe: Error code 255, while making 'subdirs'

Below is the entire build.log.
---
cpanm (App::cpanminus) 1.5007 on perl 5.014002 built for MSWin32-x86-multi-thread
Work directory is /.cpanm/work/1352117526.11576
You have make C:\Dwimperl\c\bin\dmake.exe
You have LWP 6.03
Falling back to Archive::Tar 1.80
Searching App::Packer::PAR on cpanmetadb ...
--> Working on App::Packer::PAR
Fetching http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/PAR-Packer-1.013.tar.gz
-> OK
Unpacking PAR-Packer-1.013.tar.gz
Entering PAR-Packer-1.013
Checking configure dependencies from META.yml
Checking if you have ExtUtils::Embed 0 ... Yes (1.30)
Checking if you have ExtUtils::MakeMaker? 6.57 ... Yes (6.62)
Configuring PAR-Packer-1.013
Running Makefile.PL
Checking if your kit is complete...
Looks good
Prototype mismatch: sub main::prompt: none vs ($;$) at C:/Dwimperl/perl/lib/ExtUtils/MakeMaker.pm line 219
Writing Makefile for par.exe
Writing MYMETA.yml and MYMETA.json
Writing Makefile for PAR::Packer
Writing MYMETA.yml and MYMETA.json
-> OK
Checking dependencies from MYMETA.json ...
Checking if you have ExtUtils::Embed 0 ... Yes (1.30)
Checking if you have ExtUtils::MakeMaker? 6.62 ... Yes (6.62)
Checking if you have Compress::Zlib 1.16 ... Yes (2.042)
Checking if you have Archive::Zip 1 ... Yes (1.30)
Checking if you have PAR 1.005 ... Yes (1.007)
Checking if you have IO::Compress::Gzip 0 ... Yes (2.042)
Checking if you have Getopt::ArgvFile? 1.07 ... Yes (1.11)
Checking if you have PAR::Dist 0.22 ... Yes (0.48)
Checking if you have Win32::Process 0 ... Yes (0.14)
Checking if you have File::Temp 0.05 ... Yes (0.22)
Checking if you have Module::ScanDeps? 1.05 ... Yes (1.07)
Checking if you have Parse::Binary 0.04 ... Yes (0.11)
Checking if you have Win32::Exe 0.17 ... Yes (0.17)
Building and testing PAR-Packer-1.013
cp lib/App/Packer/PAR.pm blib\lib\App\Packer\PAR.pm
cp lib/PAR/Packer.pm blib\lib\PAR\Packer.pm
cp lib/PAR/Filter/Obfuscate.pm blib\lib\PAR\Filter\Obfuscate.pm
cp lib/PAR/Filter/PodStrip.pm blib\lib\PAR\Filter\PodStrip?.pm
cp lib/PAR/StrippedPARL/Base.pm blib\lib\PAR\StrippedPARL\Base.pm
cp lib/PAR/Filter.pm blib\lib\PAR\Filter.pm
cp lib/PAR/Filter/PatchContent.pm blib\lib\PAR\Filter\PatchContent?.pm
cp lib/PAR/Filter/Bytecode.pm blib\lib\PAR\Filter\Bytecode.pm
cp lib/pp.pm blib\lib\pp.pm
cp lib/PAR/Filter/Bleach.pm blib\lib\PAR\Filter\Bleach.pm
C:\Dwimperl\perl\bin\perl.exe file2c.pl -s ..\script\par.pl my_par_pl.c load_my_par_pl
C:\Dwimperl\perl\bin\perl.exe sha1.c.PL
gcc -c -s -O2 -DWIN32 -DPERL_TEXTMODE_SCRIPTS -DUSE_SITECUSTOMIZE -DPERL_IMPLICIT_CONTEXT -DPERL_IMPLICIT_SYS -fno-strict-aliasing -mms-bitfields -I"C:\Dwimperl\perl\lib\CORE" -DLOAD_MY_LIBGCC -DPARL_EXE=\"parl.exe\" -s -O2 main.c
windres -F pei-i386 -i winres\pp.rc -o winres\pp.res
windres -o ppresource.coff winres\pp.res
windres: unexpected version string length 68 != 32 + 8
dmake: Error code 129, while making 'ppresource.coff'
dmake.exe: Error code 255, while making 'subdirs'
-> FAIL Installing App::Packer::PAR failed. See \.cpanm\build.log for details.

Change History (1)

comment:1 Changed 23 months ago by szabgab

  • Resolution set to not relevant
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.